Package javax.help

# Class CSH.DisplayHelpFromSource

java.lang.Object
javax.help.CSH.DisplayHelpFromSource

All Implemented Interfaces:
  `ActionListener`, `EventListener`

Enclosing class:
  `CSH`

public static class CSH.DisplayHelpFromSource extends Object implements ActionListener
An ActionListener that gets the helpID for the action source and displays the helpID in the help viewer.

See Also:
  - invalid reference

        HelpBroker.enableHelp

## Constructor Summary

Constructors
Constructor
Description
`DisplayHelpFromSource(HelpBroker hb)`
`DisplayHelpFromSource(HelpSet hs, String presentation, String presentationName)`
Create a DisplayHelpFromSource actionListener for a given HelpSet.

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DisplayHelpFromSource

public DisplayHelpFromSource(HelpBroker hb)

### DisplayHelpFromSource

public DisplayHelpFromSource(HelpSet hs, String presentation, String presentationName)
Create a DisplayHelpFromSource actionListener for a given HelpSet. Display the results in specific Presentation of given PresentationName.

Parameters:
  `hs` - A valid HelpSet.
  `presention` - A valid javax.help.Presentation class. Throws an IllegalArgumentException if the presentation class cannot instantiated.
  `name` - The name of the presentation. This will retrieve the presentation details from the HelpSet hs if one exists. For some Presentation this name will also indicate the "named" Presentation to display the information in.
Throws:
  `NullPointerException` - if hs is Null.
  `IllegalArgumentException` - if presentation is not valid.

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent e)

Specified by:
  `actionPerformed` in interface `ActionListener`